Announcement

Collapse
No announcement yet.

Scope of Open-Xchange App Suite - End User License Agreement (EULA)?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Scope of Open-Xchange App Suite - End User License Agreement (EULA)?

    Hi,

    While checking the difference licenses used in Open-Xchange App Suite, I found the `Open-Xchange App Suite - End User License Agreement (EULA)` on https://www.open-xchange.com/licenses-ox-app-suite/. On this list, it's not clear on what this EULA applies.
    From what I had understood:
    • The front-end of the Open-Xchange App Suite (all packages in https://software.open-xchange.com/pr...le/appsuiteui/) are under CC-BY-NC-SA
      • Minor comment here: the link above mentions version 2.5 specifically, but most packages themselves only specify CC-BY-NC-SA while some specify CC-BY-NC-SA 3.0. You might want to clarify which version you are referring to?
    • The back-end of the Open-Xchange App Suite (all packages in https://software.open-xchange.com/pr...table/backend/) are under GPL 2.0
      • I didn't check all packages, but I realized that open-xchange-gui-help-plugin is under "Creative Commons Attribution-Noncommercial-Share Alike 2.5 Generic" (verbatim, no acronym). Is it in the "wrong" repo?
    From the EULA itself, it mentions `The OX Software for the terms of this EULA includes, but is not limited to OX Documents, OX Drive, OX Drive App, OX Mail App, OX Guard.`.
    While some of them, for example `OX Guard` are clearly outside of the scope of the
    Open-Xchange Community Edition and required a paid license, I'm not sure for some others, like OX Drive, which I thought require a license but for which few packages (open-xchange-drive*) appear on the backend repos marked as "GPL-2.0" themselves...

    Could you please clarify the scope of the Open-Xchange App Suite - End User License Agreement (EULA)?
    Does it apply only to the non community editions or does it applies to both community and licensed editions?

    Thanks in advance,
    Vincent

  • #2
    Hi,
    I can comment on a few technical things only. (I will reach out internally if someone else can comment on the less technical ones.)

    open-xchange-gui-help-plugin - actually this should be obsolete. I'm a bit surprised it's still there which I think is an oversight.

    Historically this package just contained a settings file for another package which was living in the old UI repository.

    Comment

    Working...
    X